# Class RcsbFvStateManager

#### Hierarchy

- RcsbFvStateManager

#### Implements

- RcsbFvStateInterface

- Defined in RcsbFvState/RcsbFvStateManager.ts:11

#####
Index

### Constructors

constructor

### Properties

assemblyModelSate
selectionState
subject

### Methods

next
subscribe

## Constructors

### constructor

- new RcsbFvStateManager(): RcsbFvStateManager

- #### Returns RcsbFvStateManager

## Properties

### `Readonly` assemblyModelSate

assemblyModelSate: AssemblyModelSate = ...

Implementation of RcsbFvStateInterface.assemblyModelSate

- Defined in RcsbFvState/RcsbFvStateManager.ts:13

### `Readonly` selectionState

selectionState: RcsbFvSelectorManager = ...

Implementation of RcsbFvStateInterface.selectionState

- Defined in RcsbFvState/RcsbFvStateManager.ts:14

### `Private` `Readonly` subject

subject: Subject<RcsbFvStateType<any, any>> = ...

- Defined in RcsbFvState/RcsbFvStateManager.ts:16

## Methods

### next

- next<T, D>(state: RcsbFvStateType<T, D>): void

- #### Type Parameters

  - #### T

  - #### D

  #### Parameters

  - ##### state: RcsbFvStateType<T, D>

  #### Returns void

  Implementation of RcsbFvStateInterface.next

  - Defined in RcsbFvState/RcsbFvStateManager.ts:18

### subscribe

- subscribe<T, D>(o: ((state: RcsbFvStateType<T, D>) => void)): Subscription

- #### Type Parameters

  - #### T

  - #### D

  #### Parameters

  - ##### o: ((state: RcsbFvStateType<T, D>) => void)

    - - (state: RcsbFvStateType<T, D>): void

      - #### Parameters

        - ##### state: RcsbFvStateType<T, D>

        #### Returns void

  #### Returns Subscription

  Implementation of RcsbFvStateInterface.subscribe

  - Defined in RcsbFvState/RcsbFvStateManager.ts:22

Generated using TypeDoc